/*
 * PanIndicator.java
 *
 * Created on April 5, 2006, 9:29 PM
 */

package com.penfieldrobotics.camview;

import javax.swing.*;
import java.awt.*;


public class TiltIndicator extends JPanel {
    private int tilt;
    private Dimension pSize;
    private Color outlineColor;
    
    public TiltIndicator() {
        tilt = -1;
        outlineColor = Color.RED;
    }
    
    public void setTilt(int tilt) {
        this.tilt = tilt;
    }
    
    public void setOutlineColor(Color c) {
        outlineColor = c;
    }
    
    public void paintComponent(Graphics g) {
        super.paintComponent(g);
        Rectangle rect = g.getClipBounds();
        g.setColor(getBackground());
        g.fillRect(rect.x, rect.y, rect.width, rect.height);
        
        if (tilt == -1)
            return;
        
        float f = tilt / 255.0f;
        f *= getHeight();
        
        g.setColor(getForeground());
        ((Graphics2D)g).setPaint(new GradientPaint(0, 0, Color.ORANGE.brighter(), 0, getHeight(), getForeground()));
        g.fillRect(0, (int)f, getWidth(), getHeight() - (int)f);
        g.setColor(outlineColor);
        g.drawRect(0, (int)f, getWidth() - 1, getHeight() - (int)f - 1);
    }
    
    public Dimension getPreferredSize() {
        if (pSize == null)
            return new Dimension(50, 400);
        else
            return pSize;
    }
    
    public void setPreferredSize(Dimension d) {
        pSize = d;
        super.setPreferredSize(d);
    }
    
}
