/*
 * FakeComm.java
 *
 * Created on April 6, 2006, 9:14 AM
 */

package com.penfieldrobotics.camview;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

/**
 */
public class FakeComm {
    private CamView listener;
    private CamData camdata;
    
    public FakeComm(CamView cv) {
        listener = cv;
        camdata = new CamData(127, 127, true);
        initGUI();
    }
    
    public void process() {
        listener.newCamData(camdata);
    }
    
    private void initGUI() {
        JFrame jf = new JFrame();
        
        JPanel p = new JPanel();
        p.setLayout(new BoxLayout(p, BoxLayout.Y_AXIS));
        
        final JScrollBar tiltbar = new JScrollBar(JScrollBar.HORIZONTAL, 256*3, 6,  0, 256*6);
        p.add(tiltbar);
        p.add(Box.createVerticalStrut(10));
        final JScrollBar panbar = new JScrollBar(JScrollBar.HORIZONTAL, 256*3, 6,  0, 256*6);
        p.add(panbar);

        
        AdjustmentListener al = new AdjustmentListener() {
            public void adjustmentValueChanged(AdjustmentEvent ae) {
                if (ae.getSource() == tiltbar) {
                    camdata = new CamData(camdata.pan, ae.getValue() / 6, true);
                } else {
                    camdata = new CamData(ae.getValue() / 6, camdata.tilt, true);
                }
                listener.newCamData(camdata);
            }
        };
        
        tiltbar.addAdjustmentListener(al);
        panbar.addAdjustmentListener(al);
        
        jf.getContentPane().add(p);
        jf.pack();
        jf.show();
        
    }
    
    
}
